package de.tub.mapc.components.contestagents.handle;

import de.jiac.micro.core.IHandle;

/**
 * This handle is used to access the server connector.
 * <code>IServerConnectorHandle handle = (IServerConnectorHandle) AgentScope.getAgentScope().getAgentReference().getHandle(IServerConnectorHandle.class);</code>
 * 
 * @see de.jiac.micro.core.IHandle
 * 
 * @author Marcel Patzlaff
 * @author Erdene-Ochir Tuguldur
 * @version $Revision:  $
 */
public interface IServerConnectorHandle extends IHandle {
	void authenticate(String username, String password);
	void ping(String payload);
	void act(String type, String param, String id);
}
