package de.tub.mapc.monitor;

import javax.swing.JRadioButton;

import de.tub.mapc.Coordination.goals.AbstractGoal;

public class AgentButton extends JRadioButton {

	private static final long serialVersionUID = -4517314934823652929L;
	private String agentID;
	
	public AgentButton(String AgentID) {
		super(AgentID + " No goal");
		this.agentID = AgentID;
		this.setSize(100, 50);
		this.setActionCommand(AgentID);
	}
	
	public String getAgentID() {
		return agentID;
	}
	
	public void setGoal(AbstractGoal goal) {
		this.setText(goal.toString());
	}
}
