package de.tub.mapc.Coordination;

import java.io.IOException;

import de.dailab.keks.io.IDeserialiser;
import de.dailab.keks.io.ISerialiser;
import de.jiac.micro.agent.memory.IFact;
import de.tub.mapc.knowledge.Position;

@Deprecated
public class Goal extends Position implements IFact{
	
	// type of goal
	// XXX_xy means, that coordinates are relevant for this goal
	

	public static final String NO_GOAL_DEFINED = "no_goal_defined";
	public static final String EXPLORE_FIELD_xy = "explore_field_xy";
	public static final String STAY_AT_SWITCH_xy = "stay_at_switch_xy"; //stay at a free field next to this switch to keep the switch activated
	public static final String BLOCK_ENEMY_CORRAL_xy = "block_enemy_corral_xy";
	public static final String DRIVE_COWS = "drive_cows";	// drive cows to own coral
	public static final String FIND_COWS = "find_cows";
	public static final String GO_TO_SWITCHING_POSITION_xy = "goToThisPositionAndOpenTheSwitch";
	
	private String type;

	public Goal() {
		super();
		type = NO_GOAL_DEFINED;
	}
	public Goal(String type, int x, int y) {
		super(x,y);
		this.type = type;
	}
	
	public void setType(String type) {
		this.type = type;
	}

	public String getType() {
		return type;
	}

	@Override
	public void deserialise(IDeserialiser arg0) throws IOException,
			ClassNotFoundException {
			type = arg0.readString();
			super.deserialise(arg0);
	}

	@Override
	public void serialise(ISerialiser arg0) throws IOException {
		arg0.writeString(type);
		super.serialise(arg0);
	}

	@Override
	public String toString(){
		return "type="+type+" x="+getX()+" y="+getY();
	}
	
}
